=== lib/Target/X86/MCA/CMakeLists.txt ===
add_llvm_component_library(LLVMX86TargetMCA
  X86CustomBehaviour.cpp

  LINK_COMPONENTS
  MC
  MCParser
  X86Desc
  X86Info
  Support
  MCA

  ADD_TO_COMPONENT
  X86
  )
